This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 501276 - zero initial volume setting for Ensoniq 1370 [ens1370, 1274:5000]
zero initial volume setting for Ensoniq 1370 [ens1370, 1274:5000]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
 
Reported: 2009-05-18 06:53 EDT by Peter F. Patel-Schneider
Modified: 2009-11-12 11:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 11:04:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
also-info.txt after adjusting levels (14.41 KB, text/plain)
2009-05-18 06:53 EDT, Peter F. Patel-Schneider
no flags Details
log of efforts to set mixer to sane default (61.59 KB, text/plain)
2009-05-21 10:09 EDT, Peter F. Patel-Schneider
no flags Details
New /lib/alsa/init/default rules for ENS1370 (7.10 KB, text/plain)
2009-05-21 10:56 EDT, Jaroslav Kysela
no flags Details
new log (successful!) (7.00 KB, text/plain)
2009-05-21 11:58 EDT, Peter F. Patel-Schneider
no flags Details

  None (edit)
Description Peter F. Patel-Schneider 2009-05-18 06:53:13 EDT
Created attachment 344416 [details]
also-info.txt after adjusting levels

Description of problem:

On a desktop with an ENS1370 - Ensoniq AudioPCI sound card, several volume levels were at zero, resulting in no sound from pulseaudio, even with all its controls at max.

Version-Release number of selected component (if applicable):

Unknown, but experienced in rawhide of approximately 14 May 2009.

How reproducible:

Unknown

Steps to Reproduce:
1. Boot and try to get some sound
2. run alsamixer -c0 and notice zero levels
3.
  
Actual results:

Zero levels on several sliders.

Expected results:

Default levels should be no gain (but no loss either)


Additional info:

Filed as a separate bug (off off 495148) as per request.

I've attached alsa-info (unfortunately after using alsamixer to fix the levels).

Unfortunately this was all done before I read the "how to really report this kind of bug" message, so I don't have a full set of information.
Comment 1 Lennart Poettering 2009-05-20 10:37:03 EDT
Is this a real ens1370 or just the one emulated by kvm?
Comment 2 Peter F. Patel-Schneider 2009-05-20 11:05:11 EDT
A real one, or, at least, this report is for a desktop machine with a real PCI audio card that reports itself to be an ES1370.  The machine is not running any sort of virtualization system.  I could again open up the machine to look at the actual hardware, I suppose.

getafix 85> lspci
00:00.0 Host bridge: ALi Corporation Device 1683
00:01.0 PCI bridge: ALi Corporation PCI to AGP Controller
00:02.0 PCI bridge: ALi Corporation M5249 HTT to PCI Bridge
00:03.0 ISA bridge: ALi Corporation M1563 HyperTransport South Bridge (rev 20)
00:03.1 Bridge: ALi Corporation M7101 Power Management Controller [PMU]
00:0e.0 IDE interface: ALi Corporation M5229 IDE (rev c5)
00:0f.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:0f.1 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:0f.2 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:0f.3 USB Controller: ALi Corporation USB 2.0 Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] (rev a1)
02:06.0 Ethernet controller: Intel Corporation 82557/8/9/0/1 Ethernet Pro 100 (rev 05)
02:08.0 Multimedia audio controller: Ensoniq ES1370 [AudioPCI] (rev 01)
Comment 3 Adam Williamson 2009-05-20 17:19:33 EDT
you can get the necessary info with this procedure.

run 'alsactl init' as root. this should reset volumes to the default level - i.e. back to the case where some things are at zero. now you can get the 'before' amixer output. then fix the levels manually again, and now you can get the 'after' amixer output. please do that for us. thanks :)
Comment 4 Peter F. Patel-Schneider 2009-05-20 18:08:04 EDT
Just in case you want this fast, here is a remote run.  (I'm only connected to the desktop via a tty interface right now.)

Something looks unexpectedly "right" here, i.e., the controls didn't change.  Perhaps the "unknown hardware" message is helpful.  I'll play around with things tomorrow when I'm where the desktop is.

peter



getafix 50> sudo amixer -c0 
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 25 [81%] [on]
  Front Right: Playback 25 [81%] [on]
Simple mixer control 'Master Mono',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 7
  Mono: Playback 6 [86%] [on]
Simple mixer control 'PCM',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'PCM',1
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Line',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'CD',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Mic',0
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 26 [84%] [2.00dB] Playback [off]
  Front Left: Capture [on]
  Front Right: Capture [on]
Simple mixer control 'Mic Boost (+30dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Aux',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Mono',0
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 25 [81%] [0.00dB] Playback [on]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono1 Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono2 Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono',1
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 25 [81%] [0.00dB] Playback [on]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'AD Input Select',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
getafix 51> sudo alsactl init 0
Unknown hardware: "ENS1370" "Asahi Kasei AK4531" "AK4531" "0x4942" "0x4c4c"
Hardware is initialized using a guess method
getafix 52> sudo amixer -c0 
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 24 [77%] [on]
  Front Right: Playback 24 [77%] [on]
Simple mixer control 'Master Mono',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 7
  Mono: Playback 6 [86%] [on]
Simple mixer control 'PCM',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'PCM',1
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Line',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'CD',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Mic',0
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 26 [84%] [2.00dB] Playback [off]
  Front Left: Capture [on]
  Front Right: Capture [on]
Simple mixer control 'Mic Boost (+30dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Aux',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Mono',0
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 25 [81%] [0.00dB] Playback [on]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono1 Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono2 Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono',1
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 25 [81%] [0.00dB] Playback [on]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'AD Input Select',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Comment 5 Adam Williamson 2009-05-20 18:17:08 EDT
so, after running 'alsactl init', it didn't reset to the failure case?
Comment 6 Peter F. Patel-Schneider 2009-05-20 21:45:28 EDT
Yes, it does appear that there was no reset to the failure case.

This remains to be confirmed tomorrow.

Could it be that there was no reset when I installed F11 or rebooted and the zeros were just what the hardware had been set to previously?

In any case, I don't know what to make of the message from alsactl

More tomorrow.
Comment 7 Peter F. Patel-Schneider 2009-05-21 10:08:54 EDT
I think that it is confirmed that alsactl init does not change any settings on the mixer.  I'm attaching a rather long log including run of alsactl -d init
Comment 8 Peter F. Patel-Schneider 2009-05-21 10:09:45 EDT
Created attachment 344961 [details]
log of efforts to set mixer to sane default
Comment 9 Peter F. Patel-Schneider 2009-05-21 10:12:45 EDT
Finally here is (maybe again) what I think are sane levels.

[root@getafix pfps]# amixer -c0
Simple mixer control 'Master',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 24 [77%] [on]
  Front Right: Playback 24 [77%] [on]
Simple mixer control 'Master Mono',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 7
  Mono: Playback 5 [71%] [on]
Simple mixer control 'PCM',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'PCM',1
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Line',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'CD',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Mic',0
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 25 [81%] [0.00dB] Playback [off]
  Front Left: Capture [on]
  Front Right: Capture [on]
Simple mixer control 'Mic Boost (+30dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Mic Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Aux',0
  Capabilities: volume pswitch cswitch
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Front Left: 25 [81%] [0.00dB] Playback [on] Capture [off]
  Front Right: 25 [81%] [0.00dB] Playback [on] Capture [off]
Simple mixer control 'Mono',0
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 25 [81%] [0.00dB] Playback [on]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono1 Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono2 Bypass',0
  Capabilities: cswitch
  Capture channels: Front Left - Front Right
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'Mono',1
  Capabilities: volume volume-joined pswitch pswitch-joined cswitch
  Playback channels: Mono
  Capture channels: Front Left - Front Right
  Limits: 0 - 31
  Mono: 25 [81%] [0.00dB] Playback [on]
  Front Left: Capture [off]
  Front Right: Capture [off]
Simple mixer control 'AD Input Select',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Comment 10 Jaroslav Kysela 2009-05-21 10:56:08 EDT
Created attachment 344980 [details]
New /lib/alsa/init/default rules for ENS1370
Comment 11 Jaroslav Kysela 2009-05-21 10:57:11 EDT
Please, replace /lib/alsa/init/default file with one attached in comment#10 . Rerun 'alsactl init' and report result back. Thanks.
Comment 12 Peter F. Patel-Schneider 2009-05-21 11:58:07 EDT
Success!

I've attached a "log".
Comment 13 Peter F. Patel-Schneider 2009-05-21 11:58:56 EDT
Created attachment 344985 [details]
new log (successful!)
Comment 14 Bug Zapper 2009-06-09 12:02:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Peter F. Patel-Schneider 2009-11-12 11:04:06 EST
This appears to have been fixed a while ago, so I'm closing it.

Note You need to log in before you can comment on or make changes to this bug.